import { ValidateAPIKeyPrefixExpectations } from '../apiKey/validateAPIKeyPrefix.cjs';
import '../apiKey/types.cjs';

type User = {
    email?: string;
    jwt: string;
};
type CrossmintConfig = {
    apiKey: string;
    jwt?: string;
    overrideBaseUrl?: string;
    appId?: string;
    user?: User;
};
type Crossmint = CrossmintConfig & {
    experimental_setAuth: (user: User) => Crossmint;
    setJwt: (jwt: string) => Crossmint;
};
declare function createCrossmint(config: CrossmintConfig, apiKeyExpectations?: ValidateAPIKeyPrefixExpectations): Crossmint;

export { type Crossmint, type CrossmintConfig, type User, createCrossmint };
